Đến nội dung


Hình ảnh
- - - - -

Ai giúp tôi về precision với


  • Please log in to reply
2 replies to this topic

#1 kimvantoan

kimvantoan

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 April 2011 - 03:18 PM

Tôi có đoạn mã lệnh đơn giản sau:

Public Sub VD()
Dim a As String
Dim point As Variant
point = ThisDrawing.Utility.GetPoint(, "pick diem")
a = ThisDrawing.Utility.RealToString(point(0), acDecimal, 3)
End Sub

Tôi lấy sau dấu phảy 3 chữ số bằng cách chọn precision của "Realtostring" là "3".
Nhưng, làm như vậy thì khi mình muốn thay đổi precision là một số khác thì phải can thiệp trực tiếp vào mã lệnh( chỉnh precision của "Realtostring" thành số khác, ví dụ như "2" chẳng hạn). Như vậy rất bất tiện!
Tôi muốn làm sao cho precision của "Realtostring" sẽ như precision trong lệnh "Units" của autocad.
Các bạn giúp tôi với! Cám ơn!
  • 0

#2 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 08 April 2011 - 03:59 PM

Tôi có đoạn mã lệnh đơn giản sau:

Public Sub VD()
Dim a As String
Dim point As Variant
point = ThisDrawing.Utility.GetPoint(, "pick diem")
a = ThisDrawing.Utility.RealToString(point(0), acDecimal, 3)
End Sub

Tôi lấy sau dấu phảy 3 chữ số bằng cách chọn precision của "Realtostring" là "3".
Nhưng, làm như vậy thì khi mình muốn thay đổi precision là một số khác thì phải can thiệp trực tiếp vào mã lệnh( chỉnh precision của "Realtostring" thành số khác, ví dụ như "2" chẳng hạn). Như vậy rất bất tiện!
Tôi muốn làm sao cho precision của "Realtostring" sẽ như precision trong lệnh "Units" của autocad.
Các bạn giúp tôi với! Cám ơn!


Public Sub VD()
Dim a As String
Dim point As Variant
Dim pre As Integer

pre = ThisDrawing.GetVariable("LUPREC")
point = ThisDrawing.Utility.GetPoint(, "pick diem")
a = ThisDrawing.Utility.RealToString(point(0), acDecimal, pre)
End Sub
  • 0

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#3 kimvantoan

kimvantoan

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 April 2011 - 11:34 AM

Public Sub VD()
Dim a As String
Dim point As Variant
Dim pre As Integer

pre = ThisDrawing.GetVariable("LUPREC")
point = ThisDrawing.Utility.GetPoint(, "pick diem")
a = ThisDrawing.Utility.RealToString(point(0), acDecimal, pre)
End Sub


Cám ơn bạn rất nhiều!
  • 0